%global _empty_manifest_terminate_build 0
Name:           python-flasgger
Version:        0.9.7.1
Release:        1
Summary:        Extract swagger specs from your flask project.
License:        MIT
URL:            https://github.com/flasgger/flasgger/
Source0:        https://files.pythonhosted.org/packages/8a/e4/05e80adeadc39f171b51bd29b24a6d9838127f3aaa1b07c1501e662a8cee/flasgger-0.9.7.1.tar.gz
BuildArch:      noarch
%description
Flasgger is a Flask extension to extract OpenAPI-Specification from all Flask views registered in your API.

%package -n python3-flasgger
Summary:        Extract swagger specs from your flask project.
Provides:       python-flasgger
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-flasgger
Flasgger is a Flask extension to extract OpenAPI-Specification from all Flask views registered in your API.

%package help
Summary:        Extract swagger specs from your flask project.
Provides:       python3-flasgger-doc
%description help
Flasgger is a Flask extension to extract OpenAPI-Specification from all Flask views registered in your API.

%prep
%autosetup -n flasgger-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-flasgger -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Nov 1 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.9.7.1-1
- Init package
